# Uses of Enum Class
org.bukkit.entity.EnderDragon.Phase

Packages that use EnderDragon.Phase
Package
Description
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.event.entity
`Events` relating to `entities`, excluding some directly referencing some more specific entity types.

## Uses of EnderDragon.Phase in org.bukkit.entity

Methods in org.bukkit.entity that return EnderDragon.Phase
Modifier and Type
Method
Description
`@NotNull EnderDragon.Phase`
EnderDragon.`getPhase()`
Gets the current phase that the dragon is performing.
`static EnderDragon.Phase`
EnderDragon.Phase.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EnderDragon.Phase[]`
EnderDragon.Phase.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.entity with parameters of type EnderDragon.Phase
Modifier and Type
Method
Description
`void`
EnderDragon.`setPhase(@NotNull EnderDragon.Phase phase)`
Sets the next phase for the dragon to perform.

## Uses of EnderDragon.Phase in org.bukkit.event.entity

Methods in org.bukkit.event.entity that return EnderDragon.Phase
Modifier and Type
Method
Description
`EnderDragon.Phase`
EnderDragonChangePhaseEvent.`getCurrentPhase()`
Gets the current phase that the dragon is in.
`EnderDragon.Phase`
EnderDragonChangePhaseEvent.`getNewPhase()`
Gets the new phase that the dragon will switch to.
Methods in org.bukkit.event.entity with parameters of type EnderDragon.Phase
Modifier and Type
Method
Description
`void`
EnderDragonChangePhaseEvent.`setNewPhase(EnderDragon.Phase newPhase)`
Sets the new phase for the ender dragon.
Constructors in org.bukkit.event.entity with parameters of type EnderDragon.Phase
Modifier
Constructor
Description
``
`EnderDragonChangePhaseEvent(@NotNull EnderDragon enderDragon, EnderDragon.Phase currentPhase, EnderDragon.Phase newPhase)`